### Callable

- execFile(file: string): ChildProcess
- execFile(file: string, options: object & ExecFileOptions | undefined | null): ChildProcess
- execFile(file: string, args?: ReadonlyArray<string> | null): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: object & ExecFileOptions | undefined | null): ChildProcess
- execFile(file: string, callback: function): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, callback: function): ChildProcess
- execFile(file: string, options: ExecFileOptionsWithBufferEncoding, callback: function): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: ExecFileOptionsWithBufferEncoding, callback: function): ChildProcess
- execFile(file: string, options: ExecFileOptionsWithStringEncoding, callback: function): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: ExecFileOptionsWithStringEncoding, callback: function): ChildProcess
- execFile(file: string, options: ExecFileOptionsWithOtherEncoding, callback: function): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: ExecFileOptionsWithOtherEncoding, callback: function): ChildProcess
- execFile(file: string, options: ExecFileOptions, callback: function): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: ExecFileOptions, callback: function): ChildProcess
- execFile(file: string, options: object & ExecFileOptions | undefined | null, callback: function | undefined | null): ChildProcess
- execFile(file: string, args: ReadonlyArray<string> | undefined | null, options: object & ExecFileOptions | undefined | null, callback: function | undefined | null): ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:184

  #### Parameters

  - ##### file: string

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:185

  #### Parameters

  - ##### file: string

  - ##### options: object & ExecFileOptions | undefined | null

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:186

  #### Parameters

  - ##### file: string

  - ##### Optional args: ReadonlyArray<string> | null

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:187

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: object & ExecFileOptions | undefined | null

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:190

  #### Parameters

  - ##### file: string

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:191

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:194

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithBufferEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: Buffer, stderr: Buffer): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: Buffer

        - ##### stderr: Buffer

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:195

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: ExecFileOptionsWithBufferEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: Buffer, stderr: Buffer): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: Buffer

        - ##### stderr: Buffer

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:203

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithStringEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:204

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: ExecFileOptionsWithStringEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:213

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithOtherEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: string | Buffer, stderr: string | Buffer): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string | Buffer

        - ##### stderr: string | Buffer

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:218

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: ExecFileOptionsWithOtherEncoding

  - ##### callback: function

    - - (error: Error | null, stdout: string | Buffer, stderr: string | Buffer): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string | Buffer

        - ##### stderr: string | Buffer

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:226

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptions

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:227

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: ExecFileOptions

  - ##### callback: function

    - - (error: Error | null, stdout: string, stderr: string): void

      - #### Parameters

        - ##### error: Error | null

        - ##### stdout: string

        - ##### stderr: string

        #### Returns void

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:230

  #### Parameters

  - ##### file: string

  - ##### options: object & ExecFileOptions | undefined | null

  - ##### callback: function | undefined | null

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:235

  #### Parameters

  - ##### file: string

  - ##### args: ReadonlyArray<string> | undefined | null

  - ##### options: object & ExecFileOptions | undefined | null

  - ##### callback: function | undefined | null

  #### Returns ChildProcess

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(file: string): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null): Promise<object>
- __promisify__(file: string, options: ExecFileOptionsWithBufferEncoding): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null, options: ExecFileOptionsWithBufferEncoding): Promise<object>
- __promisify__(file: string, options: ExecFileOptionsWithStringEncoding): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null, options: ExecFileOptionsWithStringEncoding): Promise<object>
- __promisify__(file: string, options: ExecFileOptionsWithOtherEncoding): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null, options: ExecFileOptionsWithOtherEncoding): Promise<object>
- __promisify__(file: string, options: ExecFileOptions): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null, options: ExecFileOptions): Promise<object>
- __promisify__(file: string, options: object & ExecFileOptions | undefined | null): Promise<object>
- __promisify__(file: string, args: string[] | undefined | null, options: object & ExecFileOptions | undefined | null): Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:244

  #### Parameters

  - ##### file: string

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:245

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:246

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithBufferEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:247

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  - ##### options: ExecFileOptionsWithBufferEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:248

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithStringEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:249

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  - ##### options: ExecFileOptionsWithStringEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:250

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptionsWithOtherEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:251

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  - ##### options: ExecFileOptionsWithOtherEncoding

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:252

  #### Parameters

  - ##### file: string

  - ##### options: ExecFileOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:253

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  - ##### options: ExecFileOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:254

  #### Parameters

  - ##### file: string

  - ##### options: object & ExecFileOptions | undefined | null

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:255

  #### Parameters

  - ##### file: string

  - ##### args: string[] | undefined | null

  - ##### options: object & ExecFileOptions | undefined | null

  #### Returns Promise<object>

Generated using TypeDoc